<?php
namespace Bushelpowered\Api\Aggregator\Businesspages\V1\Request;
        
class StaffCreateCustomPageFileRequest 
{
    /** @var null|string $displayName Display name according to the file service, business page service will ignore this in favor of its own display name. If null we will use the fileName.*/
    public ?string $displayName = null;
    /** @var \Bushelpowered\Api\Businesspages\V1\Request\CustomPageFileType $fileType */
    public \Bushelpowered\Api\Businesspages\V1\Request\CustomPageFileType $fileType;
    /** @var \Bushelpowered\Api\Businesspages\V1\Request\CustomPageFileMediaType $sourceMediaType */
    public \Bushelpowered\Api\Businesspages\V1\Request\CustomPageFileMediaType $sourceMediaType;
    /** @var string $fileName The name of the file as it was stored on the users computer.*/
    public string $fileName;
    /** @var string $file Base64 encoded. Limit of 5MB*/
    public string $file;

    /**
     * @param  null|string  $displayName Display name according to the file service, business page service will ignore this in favor of its own display name. If null we will use the fileName.
     * @param  \Bushelpowered\Api\Businesspages\V1\Request\CustomPageFileType  $fileType 
     * @param  \Bushelpowered\Api\Businesspages\V1\Request\CustomPageFileMediaType  $sourceMediaType 
     * @param  string  $fileName The name of the file as it was stored on the users computer.
     * @param  string  $file Base64 encoded. Limit of 5MB
     */
    public function __construct(?string $displayName, \Bushelpowered\Api\Businesspages\V1\Request\CustomPageFileType $fileType, \Bushelpowered\Api\Businesspages\V1\Request\CustomPageFileMediaType $sourceMediaType, string $fileName, string $file)
    {
        $this->displayName = $displayName;
        $this->fileType = $fileType;
        $this->sourceMediaType = $sourceMediaType;
        $this->fileName = $fileName;
        $this->file = $file;
    }
    

}