<?php
namespace Bushelpowered\Api\Aggregator\Quoting\V1\Request;
        
class QuoteFilters 
{
    /** @var string[]|null $accountIds The account ids to filter by*/
    public ?array $accountIds = null;
    /** @var \Bushelpowered\Api\Quoting\V1\Enums\ProductCategory[]|null $categories A list of categories to filter by*/
    public ?array $categories = null;
    /** @var null|\Bushelpowered\Api\Quoting\V1\Enums\QuoteStatusFilter $status */
    public ?\Bushelpowered\Api\Quoting\V1\Enums\QuoteStatusFilter $status = null;
    /** @var null|string $creationDateStart The created date start to filter by of yyyy-MM-dd format, IE: 2023-10-04*/
    public ?string $creationDateStart = null;
    /** @var null|string $creationDateEnd The created date end to filter by of yyyy-MM-dd format, IE: 2023-10-04*/
    public ?string $creationDateEnd = null;

    /**
     * @param  string[]|null  $accountIds The account ids to filter by
     * @param  \Bushelpowered\Api\Quoting\V1\Enums\ProductCategory[]|null  $categories A list of categories to filter by
     * @param  null|\Bushelpowered\Api\Quoting\V1\Enums\QuoteStatusFilter  $status 
     * @param  null|string  $creationDateStart The created date start to filter by of yyyy-MM-dd format, IE: 2023-10-04
     * @param  null|string  $creationDateEnd The created date end to filter by of yyyy-MM-dd format, IE: 2023-10-04
     */
    public function __construct(?array $accountIds, ?array $categories, ?\Bushelpowered\Api\Quoting\V1\Enums\QuoteStatusFilter $status, ?string $creationDateStart, ?string $creationDateEnd)
    {
        $this->accountIds = $accountIds;
        $this->categories = $categories;
        $this->status = $status;
        $this->creationDateStart = $creationDateStart;
        $this->creationDateEnd = $creationDateEnd;
    }
    

}