<?php
namespace Bushelpowered\Api\Aggregator\Quoting\V1\Response;
        
class GetProductListResponse implements \Bushelpowered\Api\Common\ReturnsPaginationTokens
{
    /** @var \Bushelpowered\Api\Aggregator\Quoting\V1\Response\ProductListResponse $data */
    public \Bushelpowered\Api\Aggregator\Quoting\V1\Response\ProductListResponse $data;
    /** @var \Bushelpowered\Api\Aggregator\Quoting\V1\Request\ProductFilters $filter */
    public \Bushelpowered\Api\Aggregator\Quoting\V1\Request\ProductFilters $filter;
    /** @var null|string $continuationToken A service-generated token encoding current pagination state. <br>Clients SHOULD NOT attempt to manufacture continuation tokens.*/
    public ?string $continuationToken = null;

    /**
     * @param  \Bushelpowered\Api\Aggregator\Quoting\V1\Response\ProductListResponse  $data 
     * @param  \Bushelpowered\Api\Aggregator\Quoting\V1\Request\ProductFilters  $filter 
     * @param  null|string  $continuationToken A service-generated token encoding current pagination state. <br>Clients SHOULD NOT attempt to manufacture continuation tokens.
     */
    public function __construct(\Bushelpowered\Api\Aggregator\Quoting\V1\Response\ProductListResponse $data, \Bushelpowered\Api\Aggregator\Quoting\V1\Request\ProductFilters $filter, ?string $continuationToken)
    {
        $this->data = $data;
        $this->filter = $filter;
        $this->continuationToken = $continuationToken;
    }
    
    /**
     * @return null|string A service-generated token encoding current pagination state. <br>Clients SHOULD NOT attempt to manufacture continuation tokens.
     */
    public function getContinuationToken(): ?string
    {
        return $this->continuationToken;
    }
}