<?php
namespace Bushelpowered\Api\Grain\Contracts\V1\Request;
        
class GetAllContractsRequest implements \Bushelpowered\Api\Common\RequestsPagination
{
    /** @var string[]|null $ids An array of primary key identifiers.*/
    public ?array $ids = null;
    /** @var string[]|null $accountIds An array of account identifiers.*/
    public ?array $accountIds = null;
    /** @var string[]|null $integrationIds An array of integration identifiers.*/
    public ?array $integrationIds = null;
    /** @var string[]|null $commodityIds An optional list of tenant commodity identifiers*/
    public ?array $commodityIds = null;
    /** @var null|bool $includeSoftDeleted A boolean stating whether we want soft deleted records, default is to not include soft deleted records*/
    public ?bool $includeSoftDeleted = null;
    /** @var null|\Bushelpowered\Api\Grain\Contracts\V1\Request\ContractPagination $pagination */
    public ?\Bushelpowered\Api\Grain\Contracts\V1\Request\ContractPagination $pagination = null;

    /**
     * @param  string[]|null  $ids An array of primary key identifiers.
     * @param  string[]|null  $accountIds An array of account identifiers.
     * @param  string[]|null  $integrationIds An array of integration identifiers.
     * @param  string[]|null  $commodityIds An optional list of tenant commodity identifiers
     * @param  null|bool  $includeSoftDeleted A boolean stating whether we want soft deleted records, default is to not include soft deleted records
     * @param  null|\Bushelpowered\Api\Grain\Contracts\V1\Request\ContractPagination  $pagination 
     */
    public function __construct(?array $ids, ?array $accountIds, ?array $integrationIds, ?array $commodityIds, ?bool $includeSoftDeleted, ?\Bushelpowered\Api\Grain\Contracts\V1\Request\ContractPagination $pagination)
    {
        $this->ids = $ids;
        $this->accountIds = $accountIds;
        $this->integrationIds = $integrationIds;
        $this->commodityIds = $commodityIds;
        $this->includeSoftDeleted = $includeSoftDeleted;
        $this->pagination = $pagination;
    }
    
    /**
     * @return null|\Bushelpowered\Api\Grain\Contracts\V1\Request\ContractPagination 
     */
    public function getPagination(): ?\Bushelpowered\Api\Grain\Contracts\V1\Request\ContractPagination
    {
        return $this->pagination;
    }
}