<?php
namespace Bushelpowered\Api\Iam\Keycloak\V1\Model;
        
class UserStandard implements \Bushelpowered\Api\Common\HasTimestamps
{
    /** @var string $userId The id of the user, sometimes just called bushel_id.*/
    public string $userId;
    /** @var null|string $firstName The first name of the user.*/
    public ?string $firstName = null;
    /** @var null|string $lastName The last name of the user.*/
    public ?string $lastName = null;
    /** @var null|string $email The email address of the user.*/
    public ?string $email = null;
    /** @var null|string $phone The phone number of the user.*/
    public ?string $phone = null;
    /** @var \Bushelpowered\Api\Iam\Keycloak\V1\Model\UserIdentifierStandard[] $identifiers */
    public array $identifiers;
    /** @var string $createdAt Created date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $createdAt;
    /** @var string $updatedAt Updated date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $updatedAt;
    /** @var null|string $deletedAt Deleted date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $deletedAt = null;

    /**
     * @param  string  $userId The id of the user, sometimes just called bushel_id.
     * @param  null|string  $firstName The first name of the user.
     * @param  null|string  $lastName The last name of the user.
     * @param  null|string  $email The email address of the user.
     * @param  null|string  $phone The phone number of the user.
     * @param  \Bushelpowered\Api\Iam\Keycloak\V1\Model\UserIdentifierStandard[]  $identifiers 
     * @param  string  $createdAt Created date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  string  $updatedAt Updated date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  null|string  $deletedAt Deleted date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function __construct(string $userId, ?string $firstName, ?string $lastName, ?string $email, ?string $phone, array $identifiers, string $createdAt, string $updatedAt, ?string $deletedAt)
    {
        $this->userId = $userId;
        $this->firstName = $firstName;
        $this->lastName = $lastName;
        $this->email = $email;
        $this->phone = $phone;
        $this->identifiers = $identifiers;
        $this->createdAt = $createdAt;
        $this->updatedAt = $updatedAt;
        $this->deletedAt = $deletedAt;
    }
    
    /**
     * @return string Created date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getCreatedAt(): string
    {
        return $this->createdAt;
    }
    /**
     * @return string Updated date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getUpdatedAt(): string
    {
        return $this->updatedAt;
    }
    /**
     * @return null|string Deleted date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getDeletedAt(): ?string
    {
        return $this->deletedAt;
    }
}