<?php
namespace Bushelpowered\Api\Payments\V1\Model;
        
class SettlementAssociation 
{
    /** @var int $centreId The id of the settlement in centre*/
    public int $centreId;
    /** @var string $displayId The display id of the settlement*/
    public string $displayId;
    /** @var string $settlementDate When the settlement was settled on of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $settlementDate;
    /** @var float $netQuantity The net quantity of the settlement*/
    public float $netQuantity;
    /** @var string $uom Units of measure*/
    public string $uom;
    /** @var string $commodity Commodity display name*/
    public string $commodity;

    /**
     * @param  int  $centreId The id of the settlement in centre
     * @param  string  $displayId The display id of the settlement
     * @param  string  $settlementDate When the settlement was settled on of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  float  $netQuantity The net quantity of the settlement
     * @param  string  $uom Units of measure
     * @param  string  $commodity Commodity display name
     */
    public function __construct(int $centreId, string $displayId, string $settlementDate, float $netQuantity, string $uom, string $commodity)
    {
        $this->centreId = $centreId;
        $this->displayId = $displayId;
        $this->settlementDate = $settlementDate;
        $this->netQuantity = $netQuantity;
        $this->uom = $uom;
        $this->commodity = $commodity;
    }
    

}