<?php
namespace Bushelpowered\Api\Platform\Branding\V1\Request;
        
class CreateMobileBuildRequest 
{
    /** @var string[] $flavorIds An array of the Flavor UUIDs to create a build for.*/
    public array $flavorIds;
    /** @var \Bushelpowered\Api\Platform\Branding\V1\Request\BuildPlatform $platform */
    public \Bushelpowered\Api\Platform\Branding\V1\Request\BuildPlatform $platform;
    /** @var \Bushelpowered\Api\Platform\Branding\V1\Request\BuildType $buildType */
    public \Bushelpowered\Api\Platform\Branding\V1\Request\BuildType $buildType;
    /** @var string[] $emails The email addresses to send notification of build completion to.*/
    public array $emails;
    /** @var null|string $androidBranch The android source branch to build from. Overrides the normal branch for the chosen build type.*/
    public ?string $androidBranch = null;
    /** @var null|\Bushelpowered\Api\Platform\Branding\V1\Request\BuildType $androidBuildType */
    public ?\Bushelpowered\Api\Platform\Branding\V1\Request\BuildType $androidBuildType = null;
    /** @var null|string $iosBranch The ios source branch to build from.*/
    public ?string $iosBranch = null;
    /** @var null|\Bushelpowered\Api\Platform\Branding\V1\Request\IosLane $lane */
    public ?\Bushelpowered\Api\Platform\Branding\V1\Request\IosLane $lane = null;

    /**
     * @param  string[]  $flavorIds An array of the Flavor UUIDs to create a build for.
     * @param  \Bushelpowered\Api\Platform\Branding\V1\Request\BuildPlatform  $platform 
     * @param  \Bushelpowered\Api\Platform\Branding\V1\Request\BuildType  $buildType 
     * @param  string[]  $emails The email addresses to send notification of build completion to.
     * @param  null|string  $androidBranch The android source branch to build from. Overrides the normal branch for the chosen build type.
     * @param  null|\Bushelpowered\Api\Platform\Branding\V1\Request\BuildType  $androidBuildType 
     * @param  null|string  $iosBranch The ios source branch to build from.
     * @param  null|\Bushelpowered\Api\Platform\Branding\V1\Request\IosLane  $lane 
     */
    public function __construct(array $flavorIds, \Bushelpowered\Api\Platform\Branding\V1\Request\BuildPlatform $platform, \Bushelpowered\Api\Platform\Branding\V1\Request\BuildType $buildType, array $emails, ?string $androidBranch, ?\Bushelpowered\Api\Platform\Branding\V1\Request\BuildType $androidBuildType, ?string $iosBranch, ?\Bushelpowered\Api\Platform\Branding\V1\Request\IosLane $lane)
    {
        $this->flavorIds = $flavorIds;
        $this->platform = $platform;
        $this->buildType = $buildType;
        $this->emails = $emails;
        $this->androidBranch = $androidBranch;
        $this->androidBuildType = $androidBuildType;
        $this->iosBranch = $iosBranch;
        $this->lane = $lane;
    }
    

}