<?php
namespace Bushelpowered\Api\Platform\Branding\V1\Response;
        
class BuildResponse implements \Bushelpowered\Api\Common\HasTimestamps
{
    /** @var string $id */
    public string $id;
    /** @var string $flavorId */
    public string $flavorId;
    /** @var string $iosDisplayName */
    public string $iosDisplayName;
    /** @var string $androidBundleId */
    public string $androidBundleId;
    /** @var string $iosBundleId */
    public string $iosBundleId;
    /** @var null|string $versionName */
    public ?string $versionName = null;
    /** @var null|string $iosProduceItcTeamName */
    public ?string $iosProduceItcTeamName = null;
    /** @var null|string $iosCertTeamId */
    public ?string $iosCertTeamId = null;
    /** @var null|string $iosFastlanePassword */
    public ?string $iosFastlanePassword = null;
    /** @var null|string $iosFastlaneUser */
    public ?string $iosFastlaneUser = null;
    /** @var null|string $iosApiKey */
    public ?string $iosApiKey = null;
    /** @var null|string $iosKeyId */
    public ?string $iosKeyId = null;
    /** @var null|string $iosIssuerId */
    public ?string $iosIssuerId = null;
    /** @var string $createdAt Created date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $createdAt;
    /** @var string $updatedAt Updated date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $updatedAt;
    /** @var null|string $deletedAt Deleted date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $deletedAt = null;

    /**
     * @param  string  $id 
     * @param  string  $flavorId 
     * @param  string  $iosDisplayName 
     * @param  string  $androidBundleId 
     * @param  string  $iosBundleId 
     * @param  null|string  $versionName 
     * @param  null|string  $iosProduceItcTeamName 
     * @param  null|string  $iosCertTeamId 
     * @param  null|string  $iosFastlanePassword 
     * @param  null|string  $iosFastlaneUser 
     * @param  null|string  $iosApiKey 
     * @param  null|string  $iosKeyId 
     * @param  null|string  $iosIssuerId 
     * @param  string  $createdAt Created date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  string  $updatedAt Updated date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  null|string  $deletedAt Deleted date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function __construct(string $id, string $flavorId, string $iosDisplayName, string $androidBundleId, string $iosBundleId, ?string $versionName, ?string $iosProduceItcTeamName, ?string $iosCertTeamId, ?string $iosFastlanePassword, ?string $iosFastlaneUser, ?string $iosApiKey, ?string $iosKeyId, ?string $iosIssuerId, string $createdAt, string $updatedAt, ?string $deletedAt)
    {
        $this->id = $id;
        $this->flavorId = $flavorId;
        $this->iosDisplayName = $iosDisplayName;
        $this->androidBundleId = $androidBundleId;
        $this->iosBundleId = $iosBundleId;
        $this->versionName = $versionName;
        $this->iosProduceItcTeamName = $iosProduceItcTeamName;
        $this->iosCertTeamId = $iosCertTeamId;
        $this->iosFastlanePassword = $iosFastlanePassword;
        $this->iosFastlaneUser = $iosFastlaneUser;
        $this->iosApiKey = $iosApiKey;
        $this->iosKeyId = $iosKeyId;
        $this->iosIssuerId = $iosIssuerId;
        $this->createdAt = $createdAt;
        $this->updatedAt = $updatedAt;
        $this->deletedAt = $deletedAt;
    }
    
    /**
     * @return string Created date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getCreatedAt(): string
    {
        return $this->createdAt;
    }
    /**
     * @return string Updated date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getUpdatedAt(): string
    {
        return $this->updatedAt;
    }
    /**
     * @return null|string Deleted date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getDeletedAt(): ?string
    {
        return $this->deletedAt;
    }
}