<?php
namespace Bushelpowered\Api\Platform\Message\V1\Request;
        
class EmailChannel 
{
    /** @var null|string $subject The subject of the email. Falls back to the message request title if not provided. Throws a validation error if neither are provided.*/
    public ?string $subject = null;
    /** @var null|string $textBody The plain text body of the email. Either this or the top level body should be provided even if html body is provided for email clients that do not support HTML.*/
    public ?string $textBody = null;
    /** @var string $htmlBody The HTML body of the email with Handlebars placeholders. See the bushel platform notify documentation for more info.*/
    public string $htmlBody;

    /**
     * @param  null|string  $subject The subject of the email. Falls back to the message request title if not provided. Throws a validation error if neither are provided.
     * @param  null|string  $textBody The plain text body of the email. Either this or the top level body should be provided even if html body is provided for email clients that do not support HTML.
     * @param  string  $htmlBody The HTML body of the email with Handlebars placeholders. See the bushel platform notify documentation for more info.
     */
    public function __construct(?string $subject, ?string $textBody, string $htmlBody)
    {
        $this->subject = $subject;
        $this->textBody = $textBody;
        $this->htmlBody = $htmlBody;
    }
    

}