<?php
namespace Bushelpowered\Api\Platform\User\V1\Request;
        
class CreateOrUpdateStaffUserRequest 
{
    /** @var string $userId The primary unique identifier.*/
    public string $userId;
    /** @var string $tenantId The tenant identifier.*/
    public string $tenantId;
    /** @var bool $isStaff Whether a user is staff or not*/
    public bool $isStaff;
    /** @var null|string $jobTitle The job title of the user*/
    public ?string $jobTitle = null;

    /**
     * @param  string  $userId The primary unique identifier.
     * @param  string  $tenantId The tenant identifier.
     * @param  bool  $isStaff Whether a user is staff or not
     * @param  null|string  $jobTitle The job title of the user
     */
    public function __construct(string $userId, string $tenantId, bool $isStaff, ?string $jobTitle)
    {
        $this->userId = $userId;
        $this->tenantId = $tenantId;
        $this->isStaff = $isStaff;
        $this->jobTitle = $jobTitle;
    }
    

}