<?php
namespace Bushelpowered\Api\Platform\User\V1\Response;
        
class UserByEmailResponse implements \Bushelpowered\Api\Common\HasCreatedAtTimestamp, \Bushelpowered\Api\Common\HasUpdatedAtTimestamp
{
    /** @var string $id The unique identifier for the user. This is expected to match the bushelId (aka Keycloak.user.id)*/
    public string $id;
    /** @var null|string $firstName The first name of the user*/
    public ?string $firstName = null;
    /** @var null|string $lastName The last name of the user*/
    public ?string $lastName = null;
    /** @var string $email The email address of the user*/
    public string $email;
    /** @var null|\Bushelpowered\Api\Platform\User\V1\Response\UserTenantByEmailResponse $userTenant */
    public ?\Bushelpowered\Api\Platform\User\V1\Response\UserTenantByEmailResponse $userTenant = null;
    /** @var string $createdAt Created date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $createdAt;
    /** @var string $updatedAt Updated date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $updatedAt;

    /**
     * @param  string  $id The unique identifier for the user. This is expected to match the bushelId (aka Keycloak.user.id)
     * @param  null|string  $firstName The first name of the user
     * @param  null|string  $lastName The last name of the user
     * @param  string  $email The email address of the user
     * @param  null|\Bushelpowered\Api\Platform\User\V1\Response\UserTenantByEmailResponse  $userTenant 
     * @param  string  $createdAt Created date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  string  $updatedAt Updated date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function __construct(string $id, ?string $firstName, ?string $lastName, string $email, ?\Bushelpowered\Api\Platform\User\V1\Response\UserTenantByEmailResponse $userTenant, string $createdAt, string $updatedAt)
    {
        $this->id = $id;
        $this->firstName = $firstName;
        $this->lastName = $lastName;
        $this->email = $email;
        $this->userTenant = $userTenant;
        $this->createdAt = $createdAt;
        $this->updatedAt = $updatedAt;
    }
    
    /**
     * @return string Created date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getCreatedAt(): string
    {
        return $this->createdAt;
    }
    /**
     * @return string Updated date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getUpdatedAt(): string
    {
        return $this->updatedAt;
    }
}