<?php
namespace Bushelpowered\Api\Quoting\V1\Response;
        
class QuoteListItemResponse implements \Bushelpowered\Api\Common\HasUpdatedAtTimestamp
{
    /** @var string $id The primary unique identifier.*/
    public string $id;
    /** @var string $name The name of the quote*/
    public string $name;
    /** @var string $accountId The UUID of the account associated with the quote*/
    public string $accountId;
    /** @var string $creationDate The creation date of the quote of yyyy-MM-dd format, IE: 2023-10-04*/
    public string $creationDate;
    /** @var null|string $expiresOn The expiration date of the quote of yyyy-MM-dd format, IE: 2023-10-04*/
    public ?string $expiresOn = null;
    /** @var \Bushelpowered\Api\Quoting\V1\Enums\QuoteStatus $status */
    public \Bushelpowered\Api\Quoting\V1\Enums\QuoteStatus $status;
    /** @var string $updatedAt Updated date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $updatedAt;

    /**
     * @param  string  $id The primary unique identifier.
     * @param  string  $name The name of the quote
     * @param  string  $accountId The UUID of the account associated with the quote
     * @param  string  $creationDate The creation date of the quote of yyyy-MM-dd format, IE: 2023-10-04
     * @param  null|string  $expiresOn The expiration date of the quote of yyyy-MM-dd format, IE: 2023-10-04
     * @param  \Bushelpowered\Api\Quoting\V1\Enums\QuoteStatus  $status 
     * @param  string  $updatedAt Updated date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function __construct(string $id, string $name, string $accountId, string $creationDate, ?string $expiresOn, \Bushelpowered\Api\Quoting\V1\Enums\QuoteStatus $status, string $updatedAt)
    {
        $this->id = $id;
        $this->name = $name;
        $this->accountId = $accountId;
        $this->creationDate = $creationDate;
        $this->expiresOn = $expiresOn;
        $this->status = $status;
        $this->updatedAt = $updatedAt;
    }
    
    /**
     * @return string Updated date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getUpdatedAt(): string
    {
        return $this->updatedAt;
    }
}