<?php
namespace Bushelpowered\Api\Trade\Config\V1\Response;
        
class SalesSeriesListConfigurationResponse implements \Bushelpowered\Api\Common\ReturnsPaginationTokens
{
    /** @var \Bushelpowered\Api\Trade\Config\V1\Model\SalesSeriesConfigurationListItem[] $salesSeriesConfigurations */
    public array $salesSeriesConfigurations;
    /** @var null|string $continuationToken A service-generated token encoding current pagination state. <br>Clients SHOULD NOT attempt to manufacture continuation tokens.*/
    public ?string $continuationToken = null;

    /**
     * @param  \Bushelpowered\Api\Trade\Config\V1\Model\SalesSeriesConfigurationListItem[]  $salesSeriesConfigurations 
     * @param  null|string  $continuationToken A service-generated token encoding current pagination state. <br>Clients SHOULD NOT attempt to manufacture continuation tokens.
     */
    public function __construct(array $salesSeriesConfigurations, ?string $continuationToken)
    {
        $this->salesSeriesConfigurations = $salesSeriesConfigurations;
        $this->continuationToken = $continuationToken;
    }
    
    /**
     * @return null|string A service-generated token encoding current pagination state. <br>Clients SHOULD NOT attempt to manufacture continuation tokens.
     */
    public function getContinuationToken(): ?string
    {
        return $this->continuationToken;
    }
}