<?php
namespace Bushelpowered\Api\Trade\Futures\V1\Request;
        
class UpdateFuturesOverrideRequest 
{
    /** @var string $futuresOverrideId The unique identifier for a specific FuturesOverride.*/
    public string $futuresOverrideId;
    /** @var string $companyId The unique identifier for a specific Company related to the FuturesOverride.*/
    public string $companyId;
    /** @var string $name The original name of the product as provided by CQG.*/
    public string $name;
    /** @var null|string $displayName The name of the product that is displayed through the API response.*/
    public ?string $displayName = null;

    /**
     * @param  string  $futuresOverrideId The unique identifier for a specific FuturesOverride.
     * @param  string  $companyId The unique identifier for a specific Company related to the FuturesOverride.
     * @param  string  $name The original name of the product as provided by CQG.
     * @param  null|string  $displayName The name of the product that is displayed through the API response.
     */
    public function __construct(string $futuresOverrideId, string $companyId, string $name, ?string $displayName)
    {
        $this->futuresOverrideId = $futuresOverrideId;
        $this->companyId = $companyId;
        $this->name = $name;
        $this->displayName = $displayName;
    }
    

}